GET
https://api.cryptohopper.com/v1/user/askai
Returns the Ask AI sections as an object of section key to label. Use a key as page in the other Ask AI endpoints.
OAuth scope:
read user About scopes
The example shows 5 of the sections; the real response lists all of them.
Example request
curl "https://api.cryptohopper.com/v1/user/askai" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/user/askai', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/user/askai",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/user/askai');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": {
"strategydesigner": "Strategy Designer",
"ai": "Algorithm Intelligence",
"dashboard": "Dashboard",
"config": "Base config",
"general": "General platform"
}
}